AnsweredAssumed Answered

skipping incompatible libgcc

Question asked by jiangfux on Jun 20, 2012
Latest reply on Jun 21, 2012 by Aaronwu

when i complie uboot,

 

for dir in tools examples ; do make -C $dir _depend ; done

make[1]: Entering directory `/sa9120/u-boot-1.1.6-2008R1.5/tools'

make[1]: Nothing to be done for `_depend'.

make[1]: Leaving directory `/sa9120/u-boot-1.1.6-2008R1.5/tools'

make[1]: Entering directory `/sa9120/u-boot-1.1.6-2008R1.5/examples'

make[1]: Nothing to be done for `_depend'.

make[1]: Leaving directory `/sa9120/u-boot-1.1.6-2008R1.5/examples'

make -C tools all

make[1]: Entering directory `/sa9120/u-boot-1.1.6-2008R1.5/tools'

make[1]: Leaving directory `/sa9120/u-boot-1.1.6-2008R1.5/tools'

make -C examples all

make[1]: Entering directory `/sa9120/u-boot-1.1.6-2008R1.5/examples'

bfin-uclinux-ld -g  -Ttext 0x1000 \

                -o hello_world -e _hello_world hello_world.o libstubs.a \

                -L/opt/uClinux/bfin-uclinux/lib/gcc/bfin-uclinux/4.3.5 -lgcc

/opt/uClinux/bfin-uclinux/bin/../bfin-uclinux/bin/ld.real: skipping incompatible /opt/uClinux/bfin-uclinux/lib/gcc/bfin-uclinux/4.3.5/libgcc.a when searching for -lgcc

/opt/uClinux/bfin-uclinux/bin/../bfin-uclinux/bin/ld.real: cannot find -lgcc

make[1]: *** [hello_world] Error 1

make[1]: Leaving directory `/sa9120/u-boot-1.1.6-2008R1.5/examples'

make: *** [examples] Error 2

 

gcc verion is

#>>bfin-uclinux-gcc -v

Using built-in specs.

Target: bfin-uclinux

Configured with: /usr/src/redhat/BUILD/blackfin-toolchain-2012R1/gcc-4.3/configure --build=i686-pc-linux-gnu --host=i686-pc-linux-gnu --target=bfin-uclinux --prefix=/opt/uClinux/bfin-uclinux --disable-libstdcxx-pch --with-sysroot=/opt/uClinux/bfin-uclinux/bfin-uclinux/runtime --enable-threads=posix --enable-clocale=generic --disable-symvers --disable-libssp --disable-libffi --disable-libgcj --enable-version-specific-runtime-libs --enable-__cxa_atexit --with-bugurl=URL:http://blackfin.uclinux.org/gf/project/toolchain/tracker --with-pkgversion=ADI-2012R1-RC1

Thread model: posix

gcc version 4.3.5 (ADI-2012R1-RC1)

 

if it because my uboot version is too old?

Outcomes